savannah-cvs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Savannah-cvs] [698] formatting fixes


From: iank
Subject: [Savannah-cvs] [698] formatting fixes
Date: Tue, 12 Dec 2023 14:56:21 -0500 (EST)

Revision: 698
          
http://svn.savannah.gnu.org/viewvc/?view=rev&root=administration&revision=698
Author:   iank
Date:     2023-12-12 14:56:20 -0500 (Tue, 12 Dec 2023)
Log Message:
-----------
formatting fixes

Modified Paths:
--------------
    trunk/sviki/fsf/bash-style-guide.mdwn

Modified: trunk/sviki/fsf/bash-style-guide.mdwn
===================================================================
--- trunk/sviki/fsf/bash-style-guide.mdwn       2023-12-12 19:43:40 UTC (rev 
697)
+++ trunk/sviki/fsf/bash-style-guide.mdwn       2023-12-12 19:56:20 UTC (rev 
698)
@@ -124,6 +124,8 @@
 mapfile -t array <<<"$var"
 ```
 
+# Misc
+
 Add comments describing functions that are not short and
 obvious. Document any arguments, global variables used, return value
 that is different from the default of the exit code of the last command
@@ -131,7 +133,8 @@
 
 Comment any tricky or important parts of code.
 
-Use TODO comments
+Use TODO comments, eg:
+
 ```
 # TODO iank: add x functionality
 ```
@@ -217,9 +220,13 @@
 ## Automatically exit on failed command:
 
 For scripts with no functions add:
+
+```
 set -eE -o pipefail
 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+```
 
+
 For scripts with functions, copy/paste or source the bash-bear script
 from , which will exit on error and print stack traces.
 




reply via email to

[Prev in Thread] Current Thread [Next in Thread]